I want to upgrade some of my servers to Windows NT 4.0 Service Pack 6a (SP6a), but I'm concerned that I'll run into trouble if my PDCs and BDCs run different service packs. Are you aware of any such problems?

When NT 4.0 service packs began appearing, problems occurred with network connections between clients running SP3 and servers running SP2. However, with the release of the more recent service packs such as SP6a, this problem seems to have vanished. I have a client machine that runs SP6a and connects to a server that runs SP4, and my network works flawlessly. As long as all your machines' service packs are SP4 or later, you shouldn't experience a problem.